#pragma once

#include "CoreMinimal.h"
#include "BhvrBarkProvider.h"
#include "BhvrBarkRuleProvider.generated.h"

UCLASS(Blueprintable, Abstract)
class BHVRBARK_API UBhvrBarkRuleProvider : public UBhvrBarkProvider
{
	GENERATED_BODY()

public:
	UBhvrBarkRuleProvider();
};

FORCEINLINE uint32 GetTypeHash(const UBhvrBarkRuleProvider) { return 0; }
